Nieuwe installaties

BackupAssist v10.4.3 (109 MB)

Aanbevolen download voor nieuwe gebruikers

Dit betreft een evalualuatie versie. Volledig functioneel, inclusief alle toevoegingen, tot 30 dagen na installatie. Na het verlopen van de evaluatie kunt u geen back-ups meer maken of data herstellen met BackupAssist.

Ondersteunt: Windows 7, 8, 8.1, 10 (32-bit/64-bit); Windows Server 2008 (64 bit) / 2008 R2 / 2012 / 2012R2 / 2016 (incl. Hyper-V); Windows SBS 2008 / 2011.

In deze versie kunt u tijdens evaluatie schakelen tussen de desktop- en serverervaring
BackupAssist: Schakelen tussen desktop- en serverervaring tijdens evaluatie

BackupAssist Multisite Manager v10.4.0 (35 MB)

Aanbevolen download voor nieuwe gebruikers

Dit betreft een evaluatie versie. Volledig functioneel, tot 30 dagen na installatie. Na het verlopen van de evaluatie kunt geen BackupAssist installaties meer beheren of installeren, vanuit Multisite Manager. Noch worden er door Multisite Manager dan nog meldingen gegeven of berichten gestuurd.

Ondersteunt: Windows 7, 8, 8.1, 10 (32-bit/64-bit); Windows Server 2008 (64 bit) / 2008 R2 / 2012 / 2012R2 / 2016 (incl. Hyper-V); Windows SBS 2008 / 2011.
Minimum browser versies: Microsoft IE9, Mozilla Firefox 12.0, Google Chrome 19.0.

Upgrades / Updates

BackupAssist v10.4.3 (109 MB)

Upgrade vanaf BackupAssist v6.x / v7.x / v8.x / v9.x.

Wilt u upgraden vanaf een vorige versie? Bijvoorbeeld vanaf v9.x?
Informeer dan vooraf bij ons of uw licentie dit ondersteunt.

Ondersteunt: Windows 7, 8, 8.1, 10 (32-bit/64-bit); Windows Server 2008 (64 bit) / 2008 R2 / 2012 / 2012R2 / 2016 (incl. Hyper-V); Windows SBS 2008 / 2011.

BackupAssist Multisite Manager v10.4.0 (35 MB)

Upgrade vanaf vorige versies van Multisite Manager.

Ondersteunt: Windows 7, 8, 8.1, 10 (32-bit/64-bit); Windows Server 2008 (64 bit) / 2008 R2 / 2012 / 2012R2 / 2016 (incl. Hyper-V); Windows SBS 2008 / 2011.
Minimum browser versies: Microsoft IE9, Mozilla Firefox 12.0, Google Chrome 19.0.